classification
Title: load_module not closing opened files
Type: resource usage Stage: resolved
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, brett.cannon, mattip, python-dev
Priority: normal Keywords: patch

Created on 2014-05-29 21:10 by mattip, last changed 2015-03-11 00:07 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
close_fp_2.7.patch mattip, 2014-05-29 21:10 patch against 2.7 review
Messages (5)
msg219367 - (view) Author: mattip (mattip) * Date: 2014-05-29 21:10
imputil and modulefinder are opening files but not actively closing them. This causes problems for pypy and is not clean.
msg219369 - (view) Author: mattip (mattip) * Date: 2014-05-29 21:15
the issue has already been fixed on HEAD but not backported to 2.7
msg219391 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-05-30 14:27
I don't have a Python 2.7 repo handy but the patch LGTM.
msg237704 - (view) Author: mattip (mattip) * Date: 2015-03-09 21:14
ping
msg237826 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-03-11 00:07
New changeset 5a5d4073d46a by Benjamin Peterson in branch '2.7':
close files explicit (closes #21610)
https://hg.python.org/cpython/rev/5a5d4073d46a
History
Date User Action Args
2015-03-11 00:07:02python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg237826

resolution: fixed
stage: patch review -> resolved
2015-03-10 07:51:13berker.peksagsetnosy: + berker.peksag

stage: patch review
2015-03-09 21:14:57mattipsetmessages: + msg237704
2014-05-30 14:27:54brett.cannonsetnosy: + brett.cannon
messages: + msg219391
2014-05-29 21:15:14mattipsetmessages: + msg219369
2014-05-29 21:10:42mattipcreate